Build:
  1. 0
2021-02-22 13:09.17: New job: Build using linux-arm64 in
                                [https://github.com/mirage/mirage-skeleton.git#mirage-4 (1b06730a8247f1e56b9e885e1c764d7f4b9f53e4)]

OBuilder spec:

((from ocaml/opam:ubuntu-ocaml-4.11)
 (user (uid 1000) (gid 1000))
 (workdir /src)
 (run (shell "sudo chown opam:opam /src"))
 (run (network host)
      (shell "opam repo add opam https://github.com/ocaml/opam-repository.git#5d4be01f6cb3e4b0f72ee68bd26e23026e70f49b"))
 (run (network host)
      (shell "opam repo add overlays https://github.com/dune-universe/opam-overlays.git#65df55a4c2de834c69c32d11fbc221aed42723ec"))
 (run (network host)
      (shell "opam repo add mirage-dev https://github.com/mirage/mirage-dev.git#87fb161f0b8a96d8f12b1ba7ca9049ed122ac7b7"))
 (run (cache (opam-download-cache (target /home/opam/.opam/download-cache)))
      (network host)
      (shell "opam depext -i ocaml-freestanding"))
 (run (cache (opam-download-cache (target /home/opam/.opam/download-cache)))
      (network host)
      (shell "opam depext -i dune mirage opam-monorepo ocamlfind.1.8.1"))
 (user (uid 1000) (gid 1000))
 (copy (src .) (dst /src/))
 (workdir /src/tutorial/noop)
 (run (shell "opam exec -- mirage configure -t unix"))
 (run (network host)
      (shell "opam exec -- make depends"))
 (run (shell "opam exec -- dune build"))
)

2021-02-22 13:09.17: Using cache hint "mirage-ci-skeleton"
2021-02-22 13:09.17: Waiting for resource in pool OCluster
2021-02-22 13:09.17: Waiting for worker...
2021-02-22 13:09.17: Got resource from pool OCluster
Building on arm64-build-2.ocamllabs.io
All commits already cached
HEAD is now at 1b06730 fix tracing.

(from ocaml/opam:ubuntu-ocaml-4.11)
Unable to find image 'ocaml/opam:ubuntu-ocaml-4.11' locally
ubuntu-ocaml-4.11: Pulling from ocaml/opam
37fd0b78a78c: Already exists
a235b21a23be: Already exists
dc3220b96768: Already exists
6cf52fdf8280: Pulling fs layer
09d171522c08: Pulling fs layer
09d171522c08: Verifying Checksum
09d171522c08: Download complete
6cf52fdf8280: Verifying Checksum
6cf52fdf8280: Download complete
6cf52fdf8280: Pull complete
09d171522c08: Pull complete
Digest: sha256:9699ad6d4021139ad34ad0d0c0e12bbb57273a707993d8b69c3ac87688de72c7
Status: Downloaded newer image for ocaml/opam:ubuntu-ocaml-4.11
---> using "c9cc34d38f94a8e941b77aa9c658a449cdab7c24c011bf8648dc5d4f210a587f" from cache

/: (user (uid 1000) (gid 1000))

/: (workdir /src)

/src: (run (shell "sudo chown opam:opam /src"))
---> using "ce55322c297669df1d351f5987d2d3e7536916651ac0087ed19f1ac9445f5f25" from cache

/src: (run (network host)
           (shell "opam repo add opam https://github.com/ocaml/opam-repository.git#5d4be01f6cb3e4b0f72ee68bd26e23026e70f49b"))
[opam] Initialised
[NOTE] Repository opam has been added to the selections of switch 4.11 only.
       Run `opam repository add opam --all-switches|--set-default' to use it in all existing switches, or in newly created switches, respectively.

---> using "91ffa786efd8c99910b98a99481b2c971726de6131d9b638ef50de96923e0383" from cache

/src: (run (network host)
           (shell "opam repo add overlays https://github.com/dune-universe/opam-overlays.git#65df55a4c2de834c69c32d11fbc221aed42723ec"))
[overlays] Initialised
[NOTE] Repository overlays has been added to the selections of switch 4.11 only.
       Run `opam repository add overlays --all-switches|--set-default' to use it in all existing switches, or in newly created switches, respectively.

---> using "57df4ef47a0263d69b58842fc6c008e4df6a8ba5beb2f565b665704ece457580" from cache

/src: (run (network host)
           (shell "opam repo add mirage-dev https://github.com/mirage/mirage-dev.git#87fb161f0b8a96d8f12b1ba7ca9049ed122ac7b7"))
[mirage-dev] Initialised
[NOTE] Repository mirage-dev has been added to the selections of switch 4.11 only.
       Run `opam repository add mirage-dev --all-switches|--set-default' to use it in all existing switches, or in newly created switches, respectively.

---> using "8e9a224c41f4a5850071fdf58e1bb94bc3e53b5db60d20a21d00fa1a21ba530a" from cache

/src: (run (cache (opam-download-cache (target /home/opam/.opam/download-cache)))
           (network host)
           (shell "opam depext -i ocaml-freestanding"))
# Detecting depexts using vars: arch=arm64, os=linux, os-distribution=ubuntu, os-family=debian
# The following system packages are needed:
autoconf
debianutils
pkg-config
The following command needs to be run through "sudo":
    apt-get install -qq -yy autoconf debianutils pkg-config
debconf: delaying package configuration, since apt-utils is not installed
Selecting previously unselected package libglib2.0-0:arm64.
(Reading database ... 
(Reading database ... 5%
(Reading database ... 10%
(Reading database ... 15%
(Reading database ... 20%
(Reading database ... 25%
(Reading database ... 30%
(Reading database ... 35%
(Reading database ... 40%
(Reading database ... 45%
(Reading database ... 50%
(Reading database ... 55%
(Reading database ... 60%
(Reading database ... 65%
(Reading database ... 70%
(Reading database ... 75%
(Reading database ... 80%
(Reading database ... 85%
(Reading database ... 90%
(Reading database ... 95%
(Reading database ... 100%
(Reading database ... 14872 files and directories currently installed.)
Preparing to unpack .../00-libglib2.0-0_2.66.1-2_arm64.deb ...
Unpacking libglib2.0-0:arm64 (2.66.1-2) ...
Selecting previously unselected package libglib2.0-data.
Preparing to unpack .../01-libglib2.0-data_2.66.1-2_all.deb ...
Unpacking libglib2.0-data (2.66.1-2) ...
Selecting previously unselected package libicu67:arm64.
Preparing to unpack .../02-libicu67_67.1-4_arm64.deb ...
Unpacking libicu67:arm64 (67.1-4) ...
Selecting previously unselected package libxml2:arm64.
Preparing to unpack .../03-libxml2_2.9.10+dfsg-5build1_arm64.deb ...
Unpacking libxml2:arm64 (2.9.10+dfsg-5build1) ...
Selecting previously unselected package shared-mime-info.
Preparing to unpack .../04-shared-mime-info_2.0-1_arm64.deb ...
Unpacking shared-mime-info (2.0-1) ...
Selecting previously unselected package xdg-user-dirs.
Preparing to unpack .../05-xdg-user-dirs_0.17-2ubuntu2_arm64.deb ...
Unpacking xdg-user-dirs (0.17-2ubuntu2) ...
Selecting previously unselected package libsigsegv2:arm64.
Preparing to unpack .../06-libsigsegv2_2.12-2build1_arm64.deb ...
Unpacking libsigsegv2:arm64 (2.12-2build1) ...
Selecting previously unselected package m4.
Preparing to unpack .../07-m4_1.4.18-4_arm64.deb ...
Unpacking m4 (1.4.18-4) ...
Selecting previously unselected package autoconf.
Preparing to unpack .../08-autoconf_2.69-11.1_all.deb ...
Unpacking autoconf (2.69-11.1) ...
Selecting previously unselected package autotools-dev.
Preparing to unpack .../09-autotools-dev_20180224.1_all.deb ...
Unpacking autotools-dev (20180224.1) ...
Selecting previously unselected package automake.
Preparing to unpack .../10-automake_1%3a1.16.2-4ubuntu1_all.deb ...
Unpacking automake (1:1.16.2-4ubuntu1) ...
Selecting previously unselected package pkg-config.
Preparing to unpack .../11-pkg-config_0.29.2-1ubuntu1_arm64.deb ...
Unpacking pkg-config (0.29.2-1ubuntu1) ...
Setting up libicu67:arm64 (67.1-4) ...
Setting up xdg-user-dirs (0.17-2ubuntu2) ...
Setting up libglib2.0-0:arm64 (2.66.1-2) ...
No schema files found: doing nothing.
Setting up autotools-dev (20180224.1) ...
Setting up libglib2.0-data (2.66.1-2) ...
Setting up libsigsegv2:arm64 (2.12-2build1) ...
Setting up pkg-config (0.29.2-1ubuntu1) ...
Setting up libxml2:arm64 (2.9.10+dfsg-5build1) ...
Setting up m4 (1.4.18-4) ...
Setting up shared-mime-info (2.0-1) ...
Setting up autoconf (2.69-11.1) ...
Setting up automake (1:1.16.2-4ubuntu1) ...
update-alternatives: using /usr/bin/automake-1.16 to provide /usr/bin/automake (automake) in auto mode
update-alternatives: warning: skip creation of /usr/share/man/man1/automake.1.gz because associated file /usr/share/man/man1/automake-1.16.1.gz (of link group automake) doesn't exist
update-alternatives: warning: skip creation of /usr/share/man/man1/aclocal.1.gz because associated file /usr/share/man/man1/aclocal-1.16.1.gz (of link group automake) doesn't exist
Processing triggers for libc-bin (2.32-0ubuntu3) ...
# OS packages installation successful
# Now letting OPAM install the packages
The following actions will be performed:
  - install ocaml-src                 4.11.1     [required by ocaml-freestanding]
  - install dune                      2.8.2      [required by ocamlfind]
  - install conf-pkg-config           2          [required by solo5]
  - install conf-which                1          [required by conf-autoconf]
  - install solo5-config-ocaml-static 0.7.0      [required by ocaml-freestanding]
  - install result                    1.5        [required by dune-configurator]
  - install solo5                     0.7.0      [required by ocaml-freestanding]
  - install conf-autoconf             0.1        [required by ocaml-freestanding]
  - install csexp                     1.4.0      [required by dune-configurator]
  - install dune-configurator         2.8.2      [required by findlib]
  - install findlib                   1.8.1+dune [required by ocamlfind]
  - install ocamlfind                 1.8.1+dune [required by ocaml-freestanding]
  - install ocaml-freestanding        0.7.0
===== 13 to install =====

<><> Gathering sources ><><><><><><><><><><><><><><><><><><><><><><><><><><><><>
[dune.2.8.2] found in cache
[dune-configurator.2.8.2] found in cache
[findlib.1.8.1+dune] found in cache
[ocaml-src.4.11.1] found in cache
[ocamlfind.1.8.1+dune] found in cache
[result.1.5] found in cache
[ocaml-freestanding.0.7.0] synchronised from git+https://github.com/TheLortex/ocaml-freestanding.git#mirage-4-staging
[solo5.0.7.0] synchronised from git+https://github.com/mato/solo5.git#split-packages
[ERROR] The sources of the following couldn't be obtained, aborting:
          - csexp.1.4.0

"/bin/bash" "-c" "opam depext -i ocaml-freestanding" failed with exit status 40
2021-02-22 13:09.36: Job failed: Failed: Build failed